
<!DOCTYPE html>
<html>
    <head>
    <meta charset="UTF-8">
        {% block head %}
            <link rel="stylesheet" href="style.css"/>
            <title>{% block title %}Connexion{% endblock %}</title>
        {% endblock %}
        {% block stylesheets %}

		{% endblock %}
    </head>
    <body>
{% block title %}Connexion{% endblock %}

{% block body %}

<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            Vous etes connectés en tant que  {{ app.user.username }}, <a href="{{ path('app_logout') }}">Se déconnecter</a>
        </div>
    {% endif %}
    <div class="container">
    <div class="row">
        <div class="col-md-6">
            <div class="card">
                <form onsubmit="event.preventDefault()" class="box">
                    <h1>Se connecter</h1>
                    <p class="text-muted"> Entrer votre email et mot de passe!</p> 
                    <input type="email" placeholder="Email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus > 
                    <input type="password" placeholder="Mot de passe" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required > 
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                    <a class="forgot text-muted" href="{{ path('app_forgot_password_request') }}">Mot de passe oublié?</a> 
                    <button class="btn btn-lg btn-primary" type="submit">
                        Se connecter
                    </button>
                </form>
            </div>
        </div>
    </div>
</div>
    
{% endblock %}
